/**
 * Highwire Recommedations
 *
 * Copyright (c) 2010-2011 Board of Trustees, Leland Stanford Jr. University
 * This software is open-source licensed under the GNU Public License Version 2 or later
 * The full license is available in the LICENSE.TXT file at the root of this repository
 */
(function ($) {
  Drupal.behaviors.highwireRecommendations = {
    attach: function (context, settings) {
      $('.highwire-recommendations-ajax-wrapper').each(function(e){
        $this = $(this);
        var id = $this.attr('id');
        if (id in settings.highwire_recommendations) {
          var request_object = {'highwire_recommedations_configuration': settings.highwire_recommendations[id]};
          $.ajax({
            type: "POST",
            url: '/highwire/ajax/recommendations',
            timeout: 10000, // Set timeout to 10 seconds
            data: request_object,
            success: function(return_data) {
              $('#' + id).replaceWith(return_data);
            },
          });
        }
      });
    }
  };
})(jQuery);
